org.keycloak.authorization.attribute

## Interface Attributes

-     public interface Attributes

  Holds attributes, their values and provides utlity methods to manage them.

  In the future, it may be useful to provide different implementations for this interface in order to plug or integrate with different Policy Information Point (PIP).

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Attributes.Entry` Holds an attribute and its values, providing useful methods for obtaining and formatting values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `containsValue(String name, String value)` Checks if there is an attribute with the given `name` and `value`.
    `default boolean` | `exists(String name)` Checks if there is an attribute with the given `name`.
    `static Attributes` | `from(Map<String,Collection<String>> attributes)`
    `default Attributes.Entry` | `getValue(String name)` Returns a `Attributes.Entry` from where values can be obtained and parsed accordingly.
    `Map<String,Collection<String>>` | `toMap()` Converts to a `Map`.

- - ### Method Detail

    - #### from

          static Attributes from(Map<String,Collection<String>> attributes)

    - #### toMap

          Map<String,Collection<String>> toMap()

      Converts to a `Map`.
      Returns:

    - #### exists

          default boolean exists(String name)

      Checks if there is an attribute with the given `name`.
      Parameters:
        `name` - the attribute name
      Returns:
        true if any attribute with `name` exist. Otherwise, returns false.

    - #### containsValue

          default boolean containsValue(String name,
                                        String value)

      Checks if there is an attribute with the given `name` and `value`.
      Parameters:
        `name` - the attribute name
        `value` - the attribute value
      Returns:
        true if any attribute with `name` and `value` exist. Otherwise, returns false.

    - #### getValue

          default Attributes.Entry getValue(String name)

      Returns a `Attributes.Entry` from where values can be obtained and parsed accordingly.
      Parameters:
        `name` - the attribute name
      Returns:
        an `Attributes.Entry` holding the values for an attribute

Copyright © 2021 JBoss by Red Hat. All rights reserved.